#version unofficial MegaPOV 0.7;

#macro Box(X_Dim,Y_Dim,Z_Dim,Color,Texture)
#if(View<5)
#declare Y_Strut = cylinder {<0,-Y_Dim/2,0>,<0,Y_Dim/2,0>,.015
pigment {Color}
finish {Luminous}
no_shadow}
#declare X_Strut = cylinder {<-X_Dim/2,0,0>,<X_Dim/2,0,0>,.015
pigment {Color}
finish {Luminous}
no_shadow}
#declare Z_Strut = cylinder {<0,0,-Z_Dim/2>,<0,0,Z_Dim/2>,.015
pigment {Color}
finish {Luminous}
no_shadow}
union {
object {Y_Strut translate <-X_Dim/2,0,-Z_Dim/2>}
object {Y_Strut translate <-X_Dim/2,0,Z_Dim/2>}
object {Y_Strut translate <X_Dim/2,0,-Z_Dim/2>}
object {Y_Strut translate <X_Dim/2,0,Z_Dim/2>}
object {X_Strut translate <0,-Y_Dim/2,-Z_Dim/2>}
object {X_Strut translate <0,-Y_Dim/2,Z_Dim/2>}
object {X_Strut translate <0,Y_Dim/2,-Z_Dim/2>}
object {X_Strut translate <0,Y_Dim/2,Z_Dim/2>}
object {Z_Strut translate <-X_Dim/2,-Y_Dim/2,0>}
object {Z_Strut translate <-X_Dim/2,Y_Dim/2,0>}
object {Z_Strut translate <X_Dim/2,-Y_Dim/2,0>}
object {Z_Strut translate <X_Dim/2,Y_Dim/2,0>}}
#else
box {<-X_Dim/2,-Y_Dim/2,-Z_Dim/2>,<X_Dim/2,Y_Dim/2,Z_Dim/2>
texture {Texture}}
#end
#end



