#version unofficial MegaPOV 0.7;
#include "primitives.inc"
#include "lights.inc"

//Views: 1(Front) 2(Top) 3(Side) 4(Wireframe Camera) 5(Render)
#declare View = 4;
//Color_Schemes: 1(Gray/Black) 2(Black/Green) 3(Blue/White)
#declare Color_Scheme = 1;
//Other Declares
#declare Grid_Spacing = 1;
#declare Grid = on;
#declare Axes = on;
#declare Zoom_Factor = 20;
#declare Pan_X = 0;
#declare Pan_Y = 0;
#declare Pan_Z = 0;
#declare Camera = <5,15,-15>;
#declare Target = <0,0,0>;
#declare Camera_Proxy = on;
#declare Light_Proxy = on;
#include "views.inc"

//SpotLight(<10,15,-10>,Wheat,<0,0,0>,10,20,30)
AreaSpot(<10,15,-10>,Wheat,<-2,1,5>,15,30,20,<10,0,0>,<0,10,0>,3,3,2)


object {Sphere(1,Red,Red_Marble) scale <1.5,1,1.5> translate <5,2,3>}
object {Cylinder(1.5,2,Green,Jade) rotate x*45 translate <-2,1,5>}
object {Cone(1,.25,3,Blue,Silver_Texture)}
object {Box(3,2,3,Orange,DMFWood6) translate <-4,3,-3>}
object {Torus(2,.5,White,Glass)} 
object {Plane(1,-3,Blue,Blue_Sky)} 
object {Prism(5,-.5,.5,<0,0>,<1,2>,<.5,4>,<.75,5>,<0,6>,<0,0>,<0,0>,<0,0>,
Yellow,New_Penny) translate <5,2,-7>}
object {Lathe(5,<0,0>,<1,2>,<.5,4>,<.75,5>,<0,6>,<0,0>,<0,0>,
MidnightBlue,Vicks_Bottle_Glass) translate <0,2,-7>}



