#version unofficial MegaPOV 0.7;

#macro Cylinder(Radius,Height,Color,Texture)
#if(View<5)
union {
#declare Count = 0;
#while (Count<8)
cylinder {<0,-Height/2,-Radius>,
<0,Height/2,-Radius>,.015*Radius
rotate y*Count*45}
#declare Count = Count+1;
#end
union {
torus {Radius,.05*Radius}
torus {Radius,.05*Radius
translate y*.33*Height} 
torus {Radius,.05*Radius
translate y*.66*Height} 
torus {Radius,.05*Radius
translate y*Height} 
translate -y*Height/2}
pigment {Color}
finish {Luminous}
no_shadow}
#else
cylinder {<0,-Height/2,0>,<0,Height/2,0>,Radius
texture {Texture}}
#end
#end


